Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 219696

Summary: dev-dotnet/libgdiplus-1.2.6 fails to build with libtool-2.2.2
Product: Gentoo Linux Reporter: Gilles Dartiguelongue <eva>
Component: New packagesAssignee: dotnet <dotnet>
Status: RESOLVED FIXED    
Severity: normal CC: alessandrochirico
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 212763    
Attachments: build.log
libtool 2.2 patch

Description Gilles Dartiguelongue gentoo-dev 2008-04-29 09:23:08 UTC
Attaching log in a minute.

Portage 2.1.5_rc6 (default-linux/amd64/2007.0, gcc-4.2.3, glibc-2.7-r2, 2.6.24-gentoo-r4 x86_64)
=================================================================
System uname: 2.6.24-gentoo-r4 x86_64 AMD Turion(tm) 64 X2 Mobile Technology TL-50
Timestamp of tree: Mon, 28 Apr 2008 14:02:01 +0000
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p33
dev-lang/python:     2.5.2-r2
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.2
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.2-r1
virtual/os-headers:  2.6.25-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -g -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -O2 -g -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks multilib-strict parallel-fetch sandbox sfperms splitdebug strict test unmerge-orphans userfetch userpriv"
GENTOO_MIRRORS=" ftp://ftp.nyx.hu/gentoo"
LANG="fr_FR.UTF-8"
LC_ALL="fr_FR.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="fr en ja"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/nouveau /usr/portage/local/layman/voip /usr/portage/local/layman/sunrise /home/eva/devel/overlay/comwax /home/eva/devel/overlay/gentoo-misc"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac accessibility acl acpi alsa amd64 avahi bash-completion bogofilter bzip2 cairo cdr cjk cli cracklib crypt cups curl daap dbus dga dri dvd dvdr eds encode evo exif fam ffmpeg flac freewnn galago glitz gnome gnome-keyring gnutls gphoto2 gpm gstreamer gtk gtkhtml hal iconv ipv6 isdnlog jpeg kqemu laptop ldap libgda libnotify logrotate mad mmx mpeg mudflap musicbrainz nautilus ncurses networkmanager nfs nls nntp nptl nptlonly ntp ogg openct opengl openmp pam pcre pda pdf perl png ppds pppd pth python readline reflection sasl session smp spell spl sqlite sse sse2 ssl svg sysfs tcpd theora threads tracker unicode urandom usb v4l vim-syntax vorbis x264 xattr xcb xinerama xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x 	ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 	trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="dav dav_fs authn_file auth_digest authz_groupfile authz_host dir mime" CAMERAS="directory ptp2" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev synaptics" KERNEL="linux" LINGUAS="fr en ja" USERLAND="GNU" VIDEO_CARDS="vesa nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Gilles Dartiguelongue gentoo-dev 2008-04-29 09:23:57 UTC
Created attachment 151308 [details]
build.log
Comment 2 Rafał Mużyło 2008-05-03 19:16:18 UTC
Though it doesn't seem this way, it's an upstream bug.
The way they included cairo sources doesn't let eautoreconf discover them.
And anyway, somebody should ask upstream, why libgdiplus prefers included cairo over system and is it still this way for cairo 1.6.
Comment 3 SpanKY gentoo-dev 2008-05-05 06:36:07 UTC
eautoreconf only rebuilds for the directory it was run in

but you're right in that cairo should not be bundled or built into the package.  it should be using the system version.
Comment 4 Serkan Hosca 2008-05-08 17:20:55 UTC
(In reply to comment #3)
> eautoreconf only rebuilds for the directory it was run in
> 
> but you're right in that cairo should not be bundled or built into the package.
>  it should be using the system version.
> 

I added --with-cairo=system for econf and it built fine.

Comment 5 Rafał Mużyło 2008-05-09 09:00:50 UTC
I'm not asking `does it build with --with-cairo=system`, I'm asking `why does upstream prefer included cairo`.
Comment 6 Sergey Ilinykh 2008-05-24 19:56:32 UTC
Created attachment 154189 [details, diff]
libtool 2.2 patch

here is patch. but i tested it only on live ebuild, not on latest release
try it :-)
Comment 7 Jurek Bartuszek (RETIRED) gentoo-dev 2008-06-01 11:56:10 UTC
Try upgrading to 1.9, do you still experience same problems?
Comment 8 Rafał Mużyło 2008-06-02 18:08:51 UTC
Well, as 1.9 uses system cairo, this bug simply can't affect it.
Comment 9 Alessandro Chirico 2008-06-21 11:31:37 UTC
(In reply to comment #8)
> Well, as 1.9 uses system cairo, this bug simply can't affect it.
> 

It affects version 1.9 too. When eautoreconf is run, it goes into the
cairo subdirectory and triggers the bug. The patch must be applied anyway,
or simply rm -rf cairo (the subdir) since the local version is not used
Comment 10 Peter Alfredsen (RETIRED) gentoo-dev 2008-07-05 09:23:08 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > Well, as 1.9 uses system cairo, this bug simply can't affect it.
> > 
> 
> It affects version 1.9 too. When eautoreconf is run, it goes into the
> cairo subdirectory and triggers the bug. The patch must be applied anyway,
> or simply rm -rf cairo (the subdir) since the local version is not used

No it does not. Just built this with libtool-2.2.4, no error. @CAIRO_DIR@ is the cairo dir in Makefile.am and CAIRO_DIR is only set in configure.in if cairo_v=internal.

This bug is fixed in libgdiplus-1.9.